Skip to content
Developer

AccountingType

Accounting4 EndpointsBilling / AccountingType

Returns a list of all AccountingType

GET/api/invoice/accountingtypes

Query parameters

searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of all AccountingTypearray<AccountingType>

Show fields (6)
  • idinteger

    Primary key of the accounting type. Internal ID.

  • namestringrequired

    Name of the accounting type, for example course fee.

  • cancelled_namestring

    Name used when an invoice of this type is canceled.

  • typestringrequired

    Type of the accounting type, for example invoice or credit note.

  • deletedboolean

    The accounting type is deleted.

  • default_expense_categoryExpenseCategory10

    Standard-EÜR-Kategorie für diesen Rechnungstyp (für Einnahmen-Mapping)

    Show fields (19)
    • idinteger

      Primary key of the expense category. Internal ID.

    • codestring

      Kurzbezeichnung/Code (z.B. "WAREN", "PERSONAL", "MIETE")

    • eur_line_numberinteger

      Zeile in der Anlage EÜR (z.B. 23 für Wareneinkauf)

    • eur_line_namestring

      Bezeichnung der EÜR-Zeile (z.B. "Waren, Rohstoffe und Hilfsstoffe")

    • category_typestring

      Typ der Kategorie (expense, income, neutral, asset, private)

    • default_taxTax

      Standard-Steuersatz für diese Kategorie

    • cost_centerCostCenter

      Kostenstelle der Kategorie - bei Vereinen die steuerliche Sphäre. Ein Beleg trägt keine eigene Sphäre; über seine Kategorie bekommt er eine. Die EÜR des wirtschaftlichen Geschäftsbetriebs liest sie (billing_euer_commercial_sphere_only), die automatische Buchung setzt sie auf die Buchungszeilen (billing_accounting_cost_center_from_category).

    • is_vat_deductibleboolean

      Ist Vorsteuerabzug möglich?

    • is_immediate_deductionboolean

      Ist die Kategorie sofort abzugsfähig? (vs. Abschreibung über mehrere Jahre)

    • depreciation_yearsinteger

      Abschreibungsdauer in Jahren (für Anlagevermögen)

    • sort_orderinteger

      Sortierreihenfolge

    • is_activeboolean

      Ist die Kategorie aktiv/sichtbar?

    • colorstring

      Farbe für UI-Darstellung (Hex-Code)

    • iconstring

      Icon-Name für UI-Darstellung

    • is_systemboolean

      Ist dies eine System-Kategorie? (nicht löschbar)

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/invoice/accountingtypes \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "name": "Beispiel",
    "type": "string",
    "id": 42,
    "cancelled_name": "Beispiel",
    "deleted": true,
    "default_expense_category": {
      "id": 42,
      "eur_line_name": "Beispiel",
      "color": "#3f5efb",
      "name": "Beispiel",
      "code": "string",
      "eur_line_number": 1,
      "category_type": "string",
      "is_vat_deductible": true,
      "is_immediate_deduction": true,
      "depreciation_years": 1
    }
  }
]

Add a new AccountingType

POST/api/invoice/accountingtypes

Request body application/json

  • dataAccountingType
    Show fields (6)
    • idinteger

      Primary key of the accounting type. Internal ID.

    • namestringrequired

      Name of the accounting type, for example course fee.

    • cancelled_namestring

      Name used when an invoice of this type is canceled.

    • typestringrequired

      Type of the accounting type, for example invoice or credit note.

    • deletedboolean

      The accounting type is deleted.

    • default_expense_categoryExpenseCategory10

      Standard-EÜR-Kategorie für diesen Rechnungstyp (für Einnahmen-Mapping)

Responses

200Add a new AccountingTypeAccountingType

Show fields (6)
  • idinteger

    Primary key of the accounting type. Internal ID.

  • namestringrequired

    Name of the accounting type, for example course fee.

  • cancelled_namestring

    Name used when an invoice of this type is canceled.

  • typestringrequired

    Type of the accounting type, for example invoice or credit note.

  • deletedboolean

    The accounting type is deleted.

  • default_expense_categoryExpenseCategory10

    Standard-EÜR-Kategorie für diesen Rechnungstyp (für Einnahmen-Mapping)

    Show fields (19)
    • idinteger

      Primary key of the expense category. Internal ID.

    • codestring

      Kurzbezeichnung/Code (z.B. "WAREN", "PERSONAL", "MIETE")

    • eur_line_numberinteger

      Zeile in der Anlage EÜR (z.B. 23 für Wareneinkauf)

    • eur_line_namestring

      Bezeichnung der EÜR-Zeile (z.B. "Waren, Rohstoffe und Hilfsstoffe")

    • category_typestring

      Typ der Kategorie (expense, income, neutral, asset, private)

    • default_taxTax

      Standard-Steuersatz für diese Kategorie

    • cost_centerCostCenter

      Kostenstelle der Kategorie - bei Vereinen die steuerliche Sphäre. Ein Beleg trägt keine eigene Sphäre; über seine Kategorie bekommt er eine. Die EÜR des wirtschaftlichen Geschäftsbetriebs liest sie (billing_euer_commercial_sphere_only), die automatische Buchung setzt sie auf die Buchungszeilen (billing_accounting_cost_center_from_category).

    • is_vat_deductibleboolean

      Ist Vorsteuerabzug möglich?

    • is_immediate_deductionboolean

      Ist die Kategorie sofort abzugsfähig? (vs. Abschreibung über mehrere Jahre)

    • depreciation_yearsinteger

      Abschreibungsdauer in Jahren (für Anlagevermögen)

    • sort_orderinteger

      Sortierreihenfolge

    • is_activeboolean

      Ist die Kategorie aktiv/sichtbar?

    • colorstring

      Farbe für UI-Darstellung (Hex-Code)

    • iconstring

      Icon-Name für UI-Darstellung

    • is_systemboolean

      Ist dies eine System-Kategorie? (nicht löschbar)

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/invoice/accountingtypes \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "type": "string",
    "id": 42,
    "cancelled_name": "Beispiel",
    "deleted": true,
    "default_expense_category": {
      "id": 42,
      "eur_line_name": "Beispiel",
      "color": "#3f5efb",
      "name": "Beispiel",
      "code": "string",
      "eur_line_number": 1
    }
  }
}
'
Response 200 application/json
{
  "name": "Beispiel",
  "type": "string",
  "id": 42,
  "cancelled_name": "Beispiel",
  "deleted": true,
  "default_expense_category": {
    "id": 42,
    "eur_line_name": "Beispiel",
    "color": "#3f5efb",
    "name": "Beispiel",
    "code": "string",
    "eur_line_number": 1,
    "category_type": "string",
    "default_tax": {
      "name": "Beispiel",
      "id": 42,
      "value": 1.5,
      "deleted": true,
      "global_default": true,
      "datev_tax_key": 1
    },
    "cost_center": {
      "display_name": "Beispiel",
      "id": 42,
      "name": "Beispiel",
      "number": "string",
      "sphere": "string",
      "is_system": true,
      "is_active": true,
      "deleted": true,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00"
    },
    "is_vat_deductible": true
  }
}

Get a single AccountingType

GET/api/invoice/accountingtypes/{identifier}

Path parameters

identifierrequiredstring

Responses

200Get a single AccountingTypeAccountingType

Show fields (6)
  • idinteger

    Primary key of the accounting type. Internal ID.

  • namestringrequired

    Name of the accounting type, for example course fee.

  • cancelled_namestring

    Name used when an invoice of this type is canceled.

  • typestringrequired

    Type of the accounting type, for example invoice or credit note.

  • deletedboolean

    The accounting type is deleted.

  • default_expense_categoryExpenseCategory10

    Standard-EÜR-Kategorie für diesen Rechnungstyp (für Einnahmen-Mapping)

    Show fields (19)
    • idinteger

      Primary key of the expense category. Internal ID.

    • codestring

      Kurzbezeichnung/Code (z.B. "WAREN", "PERSONAL", "MIETE")

    • eur_line_numberinteger

      Zeile in der Anlage EÜR (z.B. 23 für Wareneinkauf)

    • eur_line_namestring

      Bezeichnung der EÜR-Zeile (z.B. "Waren, Rohstoffe und Hilfsstoffe")

    • category_typestring

      Typ der Kategorie (expense, income, neutral, asset, private)

    • default_taxTax

      Standard-Steuersatz für diese Kategorie

    • cost_centerCostCenter

      Kostenstelle der Kategorie - bei Vereinen die steuerliche Sphäre. Ein Beleg trägt keine eigene Sphäre; über seine Kategorie bekommt er eine. Die EÜR des wirtschaftlichen Geschäftsbetriebs liest sie (billing_euer_commercial_sphere_only), die automatische Buchung setzt sie auf die Buchungszeilen (billing_accounting_cost_center_from_category).

    • is_vat_deductibleboolean

      Ist Vorsteuerabzug möglich?

    • is_immediate_deductionboolean

      Ist die Kategorie sofort abzugsfähig? (vs. Abschreibung über mehrere Jahre)

    • depreciation_yearsinteger

      Abschreibungsdauer in Jahren (für Anlagevermögen)

    • sort_orderinteger

      Sortierreihenfolge

    • is_activeboolean

      Ist die Kategorie aktiv/sichtbar?

    • colorstring

      Farbe für UI-Darstellung (Hex-Code)

    • iconstring

      Icon-Name für UI-Darstellung

    • is_systemboolean

      Ist dies eine System-Kategorie? (nicht löschbar)

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/invoice/accountingtypes/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "name": "Beispiel",
  "type": "string",
  "id": 42,
  "cancelled_name": "Beispiel",
  "deleted": true,
  "default_expense_category": {
    "id": 42,
    "eur_line_name": "Beispiel",
    "color": "#3f5efb",
    "name": "Beispiel",
    "code": "string",
    "eur_line_number": 1,
    "category_type": "string",
    "default_tax": {
      "name": "Beispiel",
      "id": 42,
      "value": 1.5,
      "deleted": true,
      "global_default": true,
      "datev_tax_key": 1
    },
    "cost_center": {
      "display_name": "Beispiel",
      "id": 42,
      "name": "Beispiel",
      "number": "string",
      "sphere": "string",
      "is_system": true,
      "is_active": true,
      "deleted": true,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00"
    },
    "is_vat_deductible": true
  }
}

Update an AccountingType

PUT/api/invoice/accountingtypes/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataAccountingType
    Show fields (6)
    • idinteger

      Primary key of the accounting type. Internal ID.

    • namestringrequired

      Name of the accounting type, for example course fee.

    • cancelled_namestring

      Name used when an invoice of this type is canceled.

    • typestringrequired

      Type of the accounting type, for example invoice or credit note.

    • deletedboolean

      The accounting type is deleted.

    • default_expense_categoryExpenseCategory10

      Standard-EÜR-Kategorie für diesen Rechnungstyp (für Einnahmen-Mapping)

Responses

200Update an AccountingTypeAccountingType

Show fields (6)
  • idinteger

    Primary key of the accounting type. Internal ID.

  • namestringrequired

    Name of the accounting type, for example course fee.

  • cancelled_namestring

    Name used when an invoice of this type is canceled.

  • typestringrequired

    Type of the accounting type, for example invoice or credit note.

  • deletedboolean

    The accounting type is deleted.

  • default_expense_categoryExpenseCategory10

    Standard-EÜR-Kategorie für diesen Rechnungstyp (für Einnahmen-Mapping)

    Show fields (19)
    • idinteger

      Primary key of the expense category. Internal ID.

    • codestring

      Kurzbezeichnung/Code (z.B. "WAREN", "PERSONAL", "MIETE")

    • eur_line_numberinteger

      Zeile in der Anlage EÜR (z.B. 23 für Wareneinkauf)

    • eur_line_namestring

      Bezeichnung der EÜR-Zeile (z.B. "Waren, Rohstoffe und Hilfsstoffe")

    • category_typestring

      Typ der Kategorie (expense, income, neutral, asset, private)

    • default_taxTax

      Standard-Steuersatz für diese Kategorie

    • cost_centerCostCenter

      Kostenstelle der Kategorie - bei Vereinen die steuerliche Sphäre. Ein Beleg trägt keine eigene Sphäre; über seine Kategorie bekommt er eine. Die EÜR des wirtschaftlichen Geschäftsbetriebs liest sie (billing_euer_commercial_sphere_only), die automatische Buchung setzt sie auf die Buchungszeilen (billing_accounting_cost_center_from_category).

    • is_vat_deductibleboolean

      Ist Vorsteuerabzug möglich?

    • is_immediate_deductionboolean

      Ist die Kategorie sofort abzugsfähig? (vs. Abschreibung über mehrere Jahre)

    • depreciation_yearsinteger

      Abschreibungsdauer in Jahren (für Anlagevermögen)

    • sort_orderinteger

      Sortierreihenfolge

    • is_activeboolean

      Ist die Kategorie aktiv/sichtbar?

    • colorstring

      Farbe für UI-Darstellung (Hex-Code)

    • iconstring

      Icon-Name für UI-Darstellung

    • is_systemboolean

      Ist dies eine System-Kategorie? (nicht löschbar)

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/invoice/accountingtypes/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "type": "string",
    "id": 42,
    "cancelled_name": "Beispiel",
    "deleted": true,
    "default_expense_category": {
      "id": 42,
      "eur_line_name": "Beispiel",
      "color": "#3f5efb",
      "name": "Beispiel",
      "code": "string",
      "eur_line_number": 1
    }
  }
}
'
Response 200 application/json
{
  "name": "Beispiel",
  "type": "string",
  "id": 42,
  "cancelled_name": "Beispiel",
  "deleted": true,
  "default_expense_category": {
    "id": 42,
    "eur_line_name": "Beispiel",
    "color": "#3f5efb",
    "name": "Beispiel",
    "code": "string",
    "eur_line_number": 1,
    "category_type": "string",
    "default_tax": {
      "name": "Beispiel",
      "id": 42,
      "value": 1.5,
      "deleted": true,
      "global_default": true,
      "datev_tax_key": 1
    },
    "cost_center": {
      "display_name": "Beispiel",
      "id": 42,
      "name": "Beispiel",
      "number": "string",
      "sphere": "string",
      "is_system": true,
      "is_active": true,
      "deleted": true,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00"
    },
    "is_vat_deductible": true
  }
}